package com.ruoyi.jarvis.mapper;

import com.ruoyi.jarvis.domain.BatchPublishItem;
import java.util.List;

/**
 * 批量发品明细Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-10
 */
public interface BatchPublishItemMapper 
{
    /**
     * 查询批量发品明细
     * 
     * @param id 批量发品明细主键
     * @return 批量发品明细
     */
    public BatchPublishItem selectBatchPublishItemById(Long id);

    /**
     * 查询批量发品明细列表
     * 
     * @param batchPublishItem 批量发品明细
     * @return 批量发品明细集合
     */
    public List<BatchPublishItem> selectBatchPublishItemList(BatchPublishItem batchPublishItem);

    /**
     * 根据任务ID查询明细列表
     * 
     * @param taskId 任务ID
     * @return 批量发品明细集合
     */
    public List<BatchPublishItem> selectBatchPublishItemByTaskId(Long taskId);

    /**
     * 新增批量发品明细
     * 
     * @param batchPublishItem 批量发品明细
     * @return 结果
     */
    public int insertBatchPublishItem(BatchPublishItem batchPublishItem);

    /**
     * 修改批量发品明细
     * 
     * @param batchPublishItem 批量发品明细
     * @return 结果
     */
    public int updateBatchPublishItem(BatchPublishItem batchPublishItem);

    /**
     * 删除批量发品明细
     * 
     * @param id 批量发品明细主键
     * @return 结果
     */
    public int deleteBatchPublishItemById(Long id);

    /**
     * 批量新增批量发品明细
     * 
     * @param items 批量发品明细列表
     * @return 结果
     */
    public int batchInsertBatchPublishItem(List<BatchPublishItem> items);
}

